tried another thing

This commit is contained in:
pika 2025-01-06 17:26:41 +01:00
parent b1651f886c
commit 9dce1b1728

View file

@ -415,7 +415,7 @@ _alias() {
# ─< ble.sh -- https://github.com/akinomyoga/ble.sh >───────────────────────────────────── # ─< ble.sh -- https://github.com/akinomyoga/ble.sh >─────────────────────────────────────
d_blesh() { d_blesh() {
for deeps in git make; do for deeps in git make gawk; do
if ! command_exists $deeps; then if ! command_exists $deeps; then
echo_error "$deeps was missing from the system, cannot setup shell properly! (blesh setup)" echo_error "$deeps was missing from the system, cannot setup shell properly! (blesh setup)"
exit 1 exit 1
@ -429,12 +429,13 @@ i_blesh() {
cd "$tmp_dir" || echo_error "$tmp_dir is not valid!" cd "$tmp_dir" || echo_error "$tmp_dir is not valid!"
git clone --recursive --depth 1 --shallow-submodules https://github.com/akinomyoga/ble.sh.git git clone --recursive --depth 1 --shallow-submodules https://github.com/akinomyoga/ble.sh.git
make -C ble.sh install PREFIX=~/.local make -C ble.sh install PREFIX=~/.local
bash . "$HOME/.local/share/blesh/ble.sh"
# bash
# cd "$HOME" || return 0 # cd "$HOME" || return 0
} }
_blesh() { _blesh() {
if [[ ! -f $HOME/.local/share/blesh/ble.sh ]]; then if [ ! -f $HOME/.local/share/blesh/ble.sh ]; then
d_blesh # Dependency check for blesh d_blesh # Dependency check for blesh
echo_info "Installing blesh.. Depending on your internet connection and the performance of the client, this could take a minute or two.." echo_info "Installing blesh.. Depending on your internet connection and the performance of the client, this could take a minute or two.."
i_blesh # installing blesh silently i_blesh # installing blesh silently